## drbl-ocs 1.04-1

=== ocsmgr/Makefile ===
STATIC=-static

all: listener sender

listener:
	gcc $(STATIC) -o mcastListener mcastListener.c logit.c full_write.c md5hex.c -lssl
	gcc $(STATIC) -o partimage_stdin partimage_stdin.c logit.c full_write.c -lz

sender:
	gcc $(STATIC) -o mcastSender mcastSender.c logit.c md5hex.c -lz -lssl

clean:
	rm -f mcastSender mcastListener partimage_stdin

=== debian/changelog ===
drbl-ocs (1.04-1) unstable; urgency=low

  * Initial Release.
  * Clonezilla

 -- Blake,Kuo-Lien Huang <klhaung@nchc.org.tw>  Thu, 12 Aug 2004 15:35:06 +0800

=== debian/control ===
Source: drbl-ocs
Section: drbl
Priority: optional
Maintainer: Blake,Kuo-Lien Huang <klhaung@nchc.org.tw>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: drbl-ocs
Architecture: any
Depends: 
Description: clonezilla
  Save/Restore Disk/Partition using partimage. Three methods are provided for restore: unicast, multicast, and iso image.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	./makeit
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean
	rm -f drbl-ocs
	rm -rf debian/drbl-ocs

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/drbl-ocs.
	install -d -m 755 $(CURDIR)/debian/drbl-ocs/opt/drbl/sbin
	cp drbl-ocs $(CURDIR)/debian/drbl-ocs/opt/drbl/sbin

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
